Bug 549809 - Review Request: mingw32-libzip - mingw32 port of libzip
Summary: Review Request: mingw32-libzip - mingw32 port of libzip
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 18:09 UTC by Dave Ludlow
Modified: 2009-12-26 02:11 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-12-26 02:11:47 UTC
lemenkov: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dave Ludlow 2009-12-22 18:09:29 UTC
Spec URL: http://adsllc.fedorapeople.org/rpmbuild/SPECS/mingw32-libzip.spec
SRPM URL: http://koji.fedoraproject.org/koji/getfile?taskID=1886662&name=mingw32-libzip-0.9-1.fc12.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=1886662
Description: mingw32 port of the C library for reading, creating, and modifying zip archives.

Comment 2 Peter Lemenkov 2009-12-22 18:36:55 UTC
REVIEW:

+ rpmlint is silent

[petro@Sulaco SPECS]$ rpmlint ~/Desktop/mingw32-libzip-0.9-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
0 Upstream doesn't provide the file, containing the text of the license(s) for the package.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum libzip-0.9.tar.gz*
b0d0a768f9ef8fef14683adade0b819549dd3e61b9a5bf8ab8a92e378d87a05f  libzip-0.9.tar.gz
b0d0a768f9ef8fef14683adade0b819549dd3e61b9a5bf8ab8a92e378d87a05f  libzip-0.9.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1886694

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No need to run ldconfig for mingw32 libraries.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No need to separate header files from main package for mingw32-related package.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package for mingw32 packages, since they are intended for devel entirely.
0 The mingw32 package may contain necessary .la libtool archives. This is not a blocker.
0 Not a GUI application.

- The package DOES own files or directories already owned by other packages. Please, instead of adding whole %{_mingw32_libdir}/ add only 

%{_mingw32_libdir}/libzip.dll.a
%{_mingw32_libdir}/pkgconfig/libzip.pc

+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


So, please, fix the only issue with alread owned directories and I'll continue.

Comment 4 Peter Lemenkov 2009-12-22 19:01:09 UTC
Ok, this package is

APPROVED.

Comment 5 Dave Ludlow 2009-12-22 19:08:00 UTC
Thanks Peter!

New Package CVS Request
=======================
Package Name: mingw32-libzip
Short Description: MinGW port of the C library for manipulating zip archives.
Owners: adsllc
Branches: F-11 F-12

Comment 6 Dennis Gilmore 2009-12-23 19:44:29 UTC
CVS Done

Comment 7 Dave Ludlow 2009-12-26 02:11:47 UTC
The Bohdi<--->bugzilla link seemed to break, so this is a manual note that this package has been pushed into F11 updates & F12 updates.


Note You need to log in before you can comment on or make changes to this bug.